#
# spec file for package python-testresources
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-testresources
Version:        0.2.7
Release:        11.1
Summary:        Testresources, a pyunit extension for managing expensive test resources
License:        (Apache-2.0 or BSD-3-Clause) and GPL-2.0+
Group:          Development/Languages/Python
Url:            https://launchpad.net/testresources
Source:         http://pypi.python.org/packages/source/t/testresources/testresources-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
testresources: extensions to python unittest to allow declarative use
of resources by test cases.

%prep
%setup -q -n testresources-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Thu Jun 12 2014 cdenicolo@suse.com
- license update: (Apache-2.0 or BSD-3-Clause) and GPL-2.0+
  missing BSD-license
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Apr  3 2013 speilicke@suse.com
- Fix license according to what sr#159597 intended
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
